#include "MainWindow.h"
#include "ui_MainWindow.h"
#include "defines.h"

CMainWindow::CMainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::CMainWindow)
{
    ui->setupUi(this);

    setWindowTitle(QString("LogsValet - %1").arg(SOFTWARE_VERSION));
    mMainWindowTab = new QTabWidget(this);
    mConfigPage = new CConfigPage(this);
    mStatusPage = new CStatusWindow(this);

    setCentralWidget(mMainWindowTab);
    mMainWindowTab->addTab(mStatusPage,"Status");
    mMainWindowTab->addTab(mConfigPage,"Configuration");



    resize(1700,768);
}

CMainWindow::~CMainWindow()
{
    delete ui;

}
